<?PHP
	// Mambo Site Server Open Source Edition Version 3.0.3 
	// Dynamic portal server and Content managment engine
	// 04-05-2001
 
	// Copyright (C) 2000 - 2001 Miro Contruct Pty Ltd
	// Distributed under the terms of the GNU General Public License
	// This software may be used without warrany provided these statements are left 
	// intact and a "Powered By Mambo" appears at the bottom of each HTML page.
	// This code is Available at http://sourceforge.net/projects/mambo
  
	if (!$PHPSESSID) {
		session_start();
		session_register("username");
		session_register("password");
		session_register("logintime");
		session_register("uid");
		}
	else {
		if (!$username) session_register("username");
		if (!$password) session_register("password");
		if (!$logintime) session_register("logintime");
		if (!$uid) session_register("uid");
		
		$currenttime = time();
		if ($currenttime > ($logintime + 3600)){
			session_unregister("username");
			session_unregister("password");
			session_unregister("logintime");
			session_unregister("uid");
			session_destroy();
			}
		}

	require ("classes/database.php");
	$database = new database();

	require ("classes/html/html.php");
	require ("classes/html/adminhtml.php");
	$html = new adminhtml();
	$html->html_Open("Miroconstruct");
	
	require ("classes/users.php");
	$user = new user();
	
	require ("classes/site.php");
	$site = new site();
	
	require ("classes/admin.php");
	$admin = new admin();
	
	require ("classes/errorchk.php");
	$error = new errorchk();
	
	$html->html_Open_Table();
	$html->showdate();
	$site->head($database, $html);
	$site->search($database, $html);
	$site->admincomponents($database, $html);
	$html->compleftbottom();
	$html->articlestop();

	switch ($task){
		case "Main Menu":
			if (!isset($option)){
				$admin->mainmenu($html, $database, $task, $op);
				}
			switch ($option){
				case "Add Menu Item":
					$html->addmenuitem($task, $op);
					break;
				case "Save Menu Item":
					$admin->savemenuitem($html, $database, $title, $link);
					break;
				case "Edit Main Menu Item":
					$admin->saveeditmenuitem($html, $database, $title, $link, $id);
					break;
				case "Remove":
					$admin->removemenuitem($html, $database, $task, $op, $mainmenu);
					break;
				case "Edit":
					$admin->editmenuitem($html, $database, $task, $op, $mainmenu);
					break;
				case "delete":
					$admin->dbremovemenu($database, $mainmenu);
					break;
				}
			break;
		case "Administrator Menu":
			if (!isset($option)){
				$admin->adminmenu($html, $database, $task, $op);
				}
			switch ($option){
				case "Add Menu Item":
					$html->addadminmenuitem($task, $op);
					break;
				case "Save Menu Item":
					$admin->saveadminmenuitem($html, $database, $title, $link);
					break;
				case "Edit":
					$admin->editadminmenuitem($html, $database, $task, $op, $adminmenu);
					break;
				case "Save Administrator Menu Item":
					$admin->saveeditmenuitem($html, $database, $title, $link, $id);
					break;
				case "Remove":
					$admin->removemenuitem($html, $database, $task, $op, $adminmenu);
					break;
					}
			break;
		case "User Menu":
			if (!isset($option)){
				$admin->usermenu($html, $database, $task, $op);
				}
			switch ($option){
				case "Add Menu Item":
					$html->addusermenuitem($task, $op);
					break;
				case "Save Menu Item":
					$admin->saveusermenuitem($html, $database, $title, $link);
					break;
				case "Edit":
					$admin->editusermenuitem($html, $database, $task, $op, $usermenu);
					break;
				case "Edit User Menu Item":
					$admin->saveeditusermenuitem($html, $database, $title, $link, $id);
					break;
				case "Remove":
					$admin->removeusermenuitem($html, $database, $task, $op, $usermenu);
					break;
				case "delete":
					$admin->dbremoveusermenu($database, $usermenu);
					break;
					}
			break;
		case "Components":
			if (!isset($option)){
				$admin->showcomponents($html, $database, $task, $op);
				}
			switch ($option){
				case "Add Component":
					$html->addcomponents($task, $op);
					break;
				case "Save Component":
					$admin->savecomponent($html, $database, $title, $content, $position, $show);
					break;
				case "Edit":
					$admin->editcomponent($html, $database, $task, $op, $components);
					break;
				case "Edit Component":
					$admin->saveeditcomponent($html, $database, $title, $content, $position, $show, $id);
					break;
				case "Remove":
					$admin->removecomponent($database, $task, $op, $components);
					break;
				case "delete":
					$admin->dbremovecomponent($html, $database, $id);
					break;
				}
			break;
		case "News":
			if (!isset($option)){
				$admin->shownews($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editnews($html, $database, $task, $op, $news);
					break;
				case "Edit News":
					$admin->saveeditnews($html, $database, $task, $op, $news, $image, $introtext, $fultext, $title, $newstopic);
					break;
				case "Remove":
					$admin->removenews($html, $database, $task, $op, $news);
					break;
				case "delete":
					$admin->dbremovenews($html, $database, $news);
					break;
				case "Add News Article":
					$admin->addnewsarticle($html, $database, $task, $op);
					break;
				case "Preview News":
					$admin->previewarticle($html, $database, $sid, $task);
					break;
				case "Publish News":
					$admin->publishnews($html, $database, $task, $sid);
					break;
				case "Save News":
					$admin->tempstorenews($html, $database, $task, $introtext, $fultext, $title, $newstopic, $username, $image);
					break;
				case "Update News":
					$admin->updatenews($html, $database, $task, $introtext, $fultext, $title, $newstopic, $username, $image, $sid);
					break;
				case "Archive":
					$admin->archive($html, $database, $task, $news, $sid);
					break;
				case "Unarchive":
					$admin->unarchive($html, $database, $task, $news, $sid);
					break;
				}
				break;
		case "News Maker Manager":
			if (!isset($option)){
				$admin->shownewsmakers($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editnewsmaker($html, $database, $task, $op, $newsmaker);
					break;
				case "Edit News Maker":
					$admin->saveditnewsmaker($html, $database, $task, $op, $title, $topicimage, $topicid);
					break;
				case "Remove":
					$admin->removenewsmaker($html, $database, $task, $op, $newsmaker);
					break;
				case "delete":
					$admin->dbremovenewsmaker($html, $database, $newsmaker);
					break;
				case "Add News Maker":
					$admin->addnewsmaker($html, $database, $task, $op, $topicname, $topictext);
					break;
				case "Save News Maker":
					$admin->saveaddnewsmaker($html, $database, $task, $op, $title, $image, $topictext);
					break;
				}
			break;
		case "User Article Manager":
			if (!isset($option)){
				$admin->showuserarticles($html, $database, $task, $op);
				}
			switch($option){
				case "Approve Article":
					$admin->approve($database, $article, $username, $user, $html);
					break;
				case "adminArticle":
					$admin->adminapprovearticle($html, $database, $article, $task);
					break;
				case "Edit":
					$admin->editnewsarticle($html, $database, $task, $op, $article);
					break;
				case "Edit News Article":
					$admin->saveeditnewsarticle($html, $database, $task, $op, $title, $article);
					break;
				case "Remove":
					$admin->removenewsarticle($html, $database, $task, $op, $article);
					break;
				case "delete";
					$admin->dbremoveusernewsarticle($database, $html, $id);
					break;
				case "Add News Article":
					$admin->addnewsecsarticle($html, $database, $task, $op);
					break;
				case "Save News Article":
					$admin->saveaddnewsarticle($html, $database, $task, $op, $content, $section, $title);
					break;
				case "Add New Section":
					$admin->addnewsection($html, $database, $task, $op);
					break;
				case "Save Section":
					$admin->savesection($html, $database, $section, $image);
					break;
				}
			break;
		case "FAQ Manager":
			if (!isset($option)){
				$admin->showfaq($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editfaq($html, $database, $task, $op, $faq);
					break;
				case "Edit Faq":
					$admin->saveeditfaq($html, $database, $task, $op, $title, $faq, $content, $artid);
					break;
				case "Remove":
					$admin->removefaq($html, $database, $task, $op, $faq);
					break;
				case "delete":
					$admin->dbremovefaq($html, $database, $id);
					break;
				case "Add FAQ":
					$admin->addfaq($html, $database, $task, $op);
					break;
				case "Save FAQ":
					$admin->savefaq($html, $database, $task, $op, $title, $section, $content);
					break;
				case "Add New FAQ Section":
					$admin->addfaqsection($html, $database, $task, $op);
					break;
				case "Save FAQ Section":
					$admin->savefaqsection($html, $database, $task, $op, $title, $image);
					break;
				}
			break;
		case "Survey/Polls":
			if (!isset($option)){
				$admin->pollsurveycurrent($html, $database, $task, $op);
				}
			switch ($option){
				case "Choose Poll":
					$admin->choosepoll($html, $database, $task, $op, $poll);
					break;
				case "Edit":
					$admin->editpoll($html, $database, $task, $op, $poll);
					break;
				case "Edit Poll":
					$admin->saveeditpoll($html, $database, $task, $op, $polloption, $poll, $pollorder, $title, $optionCount);
					break;
				case "Remove":
					$admin->removePoll($html, $database, $task, $op, $poll);
					break;
				case "delete":
					$admin->dbremovepoll($html, $database, $id);
					break;
				case "Add Poll":
					$html->addpoll($task, $op);
					break;
				case "Save Poll":
					$admin->savepoll($html, $database, $task, $op, $title, $polloption, $pollorder);
					break;
				}
			break;
		case "Footer Manager":
			if (!isset($option)){
				$admin->showfooter($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit Footer":
					$admin->editfooter($html, $database, $task, $op, $footerid, $content);
					break;
				}
			break;
		case "Web Links":
			if (!isset($option)){
				$admin->showweblinks($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editcategory($html, $database, $task, $op, $category);
					break;
				case "Edit Category":
					$admin->saveeditcategory($html, $database, $task, $op, $title, $image, $category);
					break;
				case "Remove":
					$admin->removecategory($html, $database, $task, $op, $category);
					break;
				case "delete":
					$admin->dbremovecategory($html, $database, $id);
					break;
				case "Add Category":
					$admin->addcategory($html, $database, $task, $op);
					break;
				case "Save Category":
					$admin->savecategory($html, $database, $task, $op, $title, $image);
					break;
				case "Add New Link":
					$admin->addnewlink($html, $database, $task, $op);
					break;
				case "Save Link":
					$admin->addurl($html, $database, $task, $op, $title, $url, $category, $description, $name, $email);
					break;
				case "Web Links":
					$admin->weblinks($html, $database, $task, $op);
					break;
				case "Edit Link":
					$admin->editlink($html, $database, $task, $op, $link);
					break;
				case "Edit URL":
					$admin->saveeditlink($html, $database, $task, $op, $title, $url, $category, $description, $name, $email, $lid);
					break;
				case "Remove Link":
					$admin->removelink($html, $database, $task, $op, $link);
					break;
				}
			break;
		case "Edit Users":
			if (!isset($option)){
				$admin->showusers($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editusers($html, $database, $task, $op, $users);
					break;
				case "Edit User":
					$admin->saveedituser($html, $database, $task, $op, $name, $email, $uname, $uid);
					break;
				case "Remove":
					$admin->removeusers($html, $database, $task, $op, $users);
					break;
				case "delete":
					$admin->dbremoveusers($html, $database, $id);
					break;
				case "Add New User":
					$html->adduser($task, $op);
					break;
				case "Add User":
					$admin->saveuser($html, $database, $task, $op, $name, $email, $username);
					break;
				}
			break;
		case "Edit Administrators":
			if (!isset($option)){
				$admin->showadmin($html, $database, $task, $op);
				}
			switch ($option){
				case "Edit":
					$admin->editadmin($html, $database, $task, $op, $admins);
					break;
				case "Edit Administrator":
					$admin->saveeditadmin($html, $database, $task, $op, $name, $email, $uname, $uid);
					break;
				case "Remove":
					$admin->removeadmin($html, $database, $task, $op, $admins);
					break;
				case "delete":
					$admin->dbremoveadmin($html, $database, $id);
					break;
				case "Add New Administrator":
					$html->addadmin($task, $op);
					break;
				case "Add Administrator":
					$admin->saveadmin($html, $database, $task, $op, $name, $email, $uname);
					break;
				}
			break;
		case "Referer":
			$admin->referer($html, $database);
			break;
		case "Statistics":
			$admin->statistics($html, $database, $task, $op);
			break;
		case "top10":
			$admin->top10($database, $html);
			break;
		case "banners":
			if (!isset($option)){
				$admin->showbanners($database, $html, $task);
				}
			switch ($option){
				case "Add Banner":
					$admin->addbanner($html, $database, $banner, $task, $option);
					break;
				case "Edit Banner Client":
					$admin->editbannerclient($html, $database, $task, $option, $banner);
					break;
				case "Save Banner Client":
					$admin->saveeditbannerclient($html, $database, $task, $option, $cid, $name, $contact, $address, $suburb, $postcode, $phonenumber, $faxnumber, $mobilenumber, $email, $error);
					break;
				case "Remove Banner Client":
					$admin->removebannerclient($html, $database, $task, $option, $banner);
					break;
				case "delete":
					$admin->dbremovebannerclient($html, $database, $id);
					break;
				case "Add Banner Client":
					$html->addbannerclient($html, $database, $task, $option);
					break;
				case "Save New Banner Client":
					$admin->savenewbannerclient($html, $database, $task, $option, $cid, $name, $contact, $address, $suburb, $postcode, $phonenumber, $faxnumber, $mobilenumber, $email, $error);
					break;
				case "Save Banner":
					$admin->savebanner($html, $database, $task, $impressions, $url, $userfile, $name);
					break;
				case "View Active Banners":
					$admin->viewactivebanners($html, $database);
					break;
				}
			break;
			}
			
	$html->adminbodybottom();
	$site->footer($database, $html);
	$html->html_Close();
?>
	
