#!/usr/local/bin/perl -w 

print "This installation will setup Mambo on your server\n\n";

print "What is the name of the root level folder of the site: \n";
my $folder = <STDIN>;
if ($folder eq "\n"){
	print "Error - must input name of folder: exit installation";
	exit(0);
	}
else {
	$folder =~ s/\n//;
	}
	
print "\n\nAbsolute path to the site [/usr/home/work/]: ";
my $pathway = <STDIN>;
if ($pathway eq "\n"){
	$pathway = "/usr/home/work/";
	}
else {
	$pathway =~ s/\n//;
	}

print "Setup database: \n\n";

print "Enter a name for the database: ";
my $db_name = <STDIN>;
if ($db_name eq "\n"){
	print "Error - incorrect name: exit installation";
	exit(0);
	}
else {
	$db_name =~ s/\n//;
	}
	
open(OUTFILE, ">CreateDB_file.txt");
print OUTFILE "CREATE DATABASE $db_name;\n\n";
close (OUTFILE);

print "The following section will create the database, \nhave your mysql password handy!\n\n\n";
sleep(3);

@args = ("mysql -p < CreateDB_file.txt");
system(@args) == 0 or die "Database already exists - exit installation";

print "The following section will create the tables and data for your application, \nhave your mysql password handy!\n\n\n";
sleep(3);

@args = ("mysql -p $db_name < mambov3DB.txt");
system(@args) == 0 or die "system @args failed: $?";

print "What is the hostname for your mysql database [localhost]: ";
my $domain = <STDIN>;
if ($domain eq "\n"){
	$domain = "localhost";
	}
else {
	$domain =~ s/\n//;
	}

print "Enter database username: ";
my $db_username = <STDIN>;
$db_username =~ s/\n//;

print "Enter database password: ";
my $db_password = <STDIN>;
$db_password =~ s/\n//;

print "The following section will install the application.\n\n\n";
sleep(3);

@args = ("tar", "-xvf", "mambov3.tar");
system(@args) == 0 or die "system @args failed: $?";

print "Enter the URL for the live site [i.e. www.mysite.com]:"; 
my $live_site = <STDIN>;
$live_site =~ s/\n//;

print "\n\nCreating configuration file...\n\n";

my $images = "/images/stories/";
open (OUTFILE, ">configuration.php");
print OUTFILE "<\?\n";
print OUTFILE "\n\t\$host = '$domain';";
print OUTFILE "\n\t\$user = '$db_username';";
print OUTFILE "\n\t\$password = '$db_password';";
print OUTFILE "\n\t\$db = '$db_name';";
print OUTFILE "\n\t\$live_site = 'http://$live_site';";
print OUTFILE "\n\t\$image_path = '$pathway/$folder/$images';";

print OUTFILE "\n\$col = 3;";
print OUTFILE "\n\$row = 3;";
print OUTFILE "\n if (\$directory \!='uploadfiles'){";
print OUTFILE "\n\t\$title[0] = 'Story Images';";
print OUTFILE "\n\t\$dir[0]='$pathway/$folder/images/stories';";
print OUTFILE "\n\t\$picurl[0]='http://$live_site/images/stories/';";
print OUTFILE "\n\t\$tndir[0]='http://$live_site/images/stories/';";
print OUTFILE "\n } else {";
print OUTFILE "\n\t\$title[0]='Uploaded File Images';";
print OUTFILE "\n\t\$dir[0]='$pathway/$folder/uploadfiles/\$Itemid';";
print OUTFILE "\n\t\$picurl[0]='http://$live_site/uploadfiles/\$Itemid/';";
print OUTFILE "\n\t\$tndir[0]='http://$live_site/uploadfiles/\$Itemid/';";
print OUTFILE "\n\t}";
print OUTFILE "\n\?>\n";
close OUTFILE;

print "\n\nThe installation is now complete, Thankyou for using Mambo...\n";